Subject: Re: [IPROUTE 00/02]: rtnl_link support

From: Stephen Hemminger <[email-masked]>
Date: Wed, 13 Jun 2007 10:48:54 -0700

On Wed, 13 Jun 2007 19:02:32 +0200 (MEST)
Patrick McHardy <[email-masked]> wrote:

> Hi Stephen,
> 
> these patches add support for the rtnl_link stuff and VLAN configuration
> to iproute. Since the old link configuration was entirely ioctl based and
> mixing the two would be really ugly, this patch keeps the old ioctl stuff
> guarded by an ifdef (defaults to enabled) and probes for support for
> using RTM_NEWLINK. Tested to work properly on both old and patched kernel.
> 
> I've added a new -d[etail] flag to ip, the driver specific things are only
> printed when it is specified. I did this mainly because I'm not sure how
> careful we want to be not to confuse people using sed/awk/... on iproute
> output. I would prefer to have the information always shown, but I'll
> leave that decision up to you.
> 
> Changes since the last post:
> 
> - Only call link argument parsing function if arguments are present
> - Support xstats dumping
> - Add sanitized if_vlan.h file for VLAN flag definition
> - Support setting/changing VLAN flags
> 
> Please apply, thanks.

I'm putting out a new iproute2 next week. IF this is in mainline, it will
go in then. If not, then there will be a development branch